# HG changeset patch
# User Neil <neilpiken@gmail.com>
# Date 1382714702 -28800
#      Fri Oct 25 23:25:02 2013 +0800
# Node ID 095a50dafb7696bc85aaf6781ff0e6ab1a6d5cb1
# Parent  4ca4da7bdd36fbef00b9eefe54c0a56bf11633f3
cmake: add Visual Studio 2013 build folder

diff -r 4ca4da7bdd36 -r 095a50dafb76 build/vc12-x86/build-all.bat
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/build/vc12-x86/build-all.bat	Fri Oct 25 23:25:02 2013 +0800
@@ -0,0 +1,14 @@
+@echo off
+if "%VS120COMNTOOLS%" == "" (
+  msg "%username%" "Visual Studio 12 not detected"
+  exit 1
+)
+if not exist x265.sln (
+  call make-solutions.bat
+)
+if exist x265.sln (
+  call "%VS120COMNTOOLS%\..\..\VC\vcvarsall.bat"
+  MSBuild /property:Configuration="Release" x265.sln
+  MSBuild /property:Configuration="Debug" x265.sln
+  MSBuild /property:Configuration="RelWithDebInfo" x265.sln
+)
diff -r 4ca4da7bdd36 -r 095a50dafb76 build/vc12-x86/make-solutions.bat
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/build/vc12-x86/make-solutions.bat	Fri Oct 25 23:25:02 2013 +0800
@@ -0,0 +1,6 @@
+@echo off
+::
+:: run this batch file to create a Visual Studio solution file for this project.
+:: See the cmake documentation for other generator targets
+::
+cmake -G "Visual Studio 12" ..\..\source && cmake-gui ..\..\source
diff -r 4ca4da7bdd36 -r 095a50dafb76 build/vc12-x86_64/build-all.bat
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/build/vc12-x86_64/build-all.bat	Fri Oct 25 23:25:02 2013 +0800
@@ -0,0 +1,14 @@
+@echo off
+if "%VS120COMNTOOLS%" == "" (
+  msg "%username%" "Visual Studio 12 not detected"
+  exit 1
+)
+if not exist x265.sln (
+  call make-solutions.bat
+)
+if exist x265.sln (
+  call "%VS120COMNTOOLS%\..\..\VC\vcvarsall.bat"
+  MSBuild /property:Configuration="Release" x265.sln
+  MSBuild /property:Configuration="Debug" x265.sln
+  MSBuild /property:Configuration="RelWithDebInfo" x265.sln
+)
diff -r 4ca4da7bdd36 -r 095a50dafb76 build/vc12-x86_64/make-solutions.bat
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/build/vc12-x86_64/make-solutions.bat	Fri Oct 25 23:25:02 2013 +0800
@@ -0,0 +1,6 @@
+@echo off
+::
+:: run this batch file to create a Visual Studio solution file for this project.
+:: See the cmake documentation for other generator targets
+::
+cmake -G "Visual Studio 12 Win64" ..\..\source && cmake-gui ..\..\source
